关于使用Windows Live Writer在自架WordPress出现乱码的解决方案

Windows live writer
一直想尝试直接使用Windows Live Writer来往自己的Wordpress发布文章,我目前的Wordpress的版本是2.2.2,应该是最新的吧,在MS的WLW官网下载到最新的Windows Live Writer,安装之前确信自己的系统已经安装了MS的.NET Framework Version 1.1以上版本。成功安装好WLW后,设置好自己的博客就可以撰写然后发布,只是最终我发现我在WLW中输入的中文发布成功后在web页面上显示的是乱码,后来在Hamo’s World看到了解决方法,我测试过,没有问题,现将解决方法提供如下:

在“开始”->“运行”输入“regedit”,打开注册表,来到如下地址:
HKEY_CURRENT_USER\Software\Windows Live Writer\Weblogs\[Blog ID 码]\ManifestOptions
HKEY_CURRENT_USER\Software\Windows Live Writer\Weblogs\[Blog ID 码]\UserOptionOverrides

删除“characterSet”即可解决问题了。 😆

10 条评论

80后85前,互联网产品人,互联网金融参与者,电子商务痴迷者,社交网络控,搜索引擎优化业余爱好者,伪Blogger,曾倒腾过网页游戏、折腾过电商,探索过社交网络,一直坚信互联网终将优化人们的日常生活。

10 条评论

孙威

就是有时候支持插件不大好。

回复

ThinkAgain

WLW很不错的。一直都是用它来发布文章的。
不过都没碰到类似问题。
在WLW博客帐户设置里面,有设置字符集的。这里的设置一定要和wp里面的设置要一样哟。 😐

回复

孙威

@张樊 不客气,只是分享我的经验而已。

回复

张樊

谢谢阳光海,从pjblog到wordpress的转换是在这里看的指南,这篇文章又让我解决了Windows Live Writer在自架Wordpress出现乱码的问题。谢谢。

回复

孙威

😯

回复

killy

🙁 好像不可以,
安装时必须填写一个什么鬼东西,
可是我看不明白,
未果……

回复

孙威

你可以先运行WLW的安装程序,如果你的系统中没有安装过.NET Framework Version 1.1或以上版本会给你提示信息。

回复

killy

安装之前确信自己的系统已经安装了MS的.NET Framework Version 1.1以上版本 😯 那我怎么知道有没有安装呢?

回复

孙威

@killy 当然支持离线发布博客了,用起来很方便噢。Yo2的我没有尝试过,按道理应该也是可以的,WLW会自己分析你的博客类型。

回复

killy

😐 这个支持离线发布博客吗?
那YO2的估计是很低的wordpress版本?
看着似乎很麻烦呐!

回复

发表评论

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据